สอบถามยอดเงิน (ฟิลิปปินส์)
ประมาณ 1 นาที
API สอบถามยอดเงิน ภูมิภาค ฟิลิปปินส์ (PHP).
Request
Request Path:
sandbox:
https://sandbox-gateway.smilepayz.com/v2.0/inquiry-balance
production:https://gateway.smilepayz.com/v2.0/inquiry-balance
Header Parameters
| Field | Required | Type | Description |
|---|---|---|---|
Content-Type | M | String | application/json request body. |
X-TIMESTAMP | M | String | Format: yyyy-MM-ddTHH:mm:ss±HH:mm |
X-SIGNATURE | M | String | Signature of JSON body (see product Signature doc). |
X-PARTNER-ID | M | String | Your merchantID |
Body Parameters
| Field | Required | Type | Description |
|---|---|---|---|
accountNo | M | String(128) | หมายเลขบัญชี settlement ของร้านค้าสำหรับสกุลเงินนี้ (Pay-in หรือ Pay-out). |
balanceTypes | M | List(String) | e.g. ["BALANCE"]; types to return. |
accountNo
- Sandbox: ใส่สตริงที่ไม่ว่างได้ (≤128) ใช้ค่าในตัวอย่างด้านล่างได้
- Production: Merchant Portal → Finance → Balance แต่ละสกุลมี Pay-in / Pay-out แยก — ส่งเลขที่ต้องการสอบถาม ดู How to get production accountNo
Example Body – Balance Inquiry Request:
Content-type: application/json
X-TIMESTAMP: 2020-12-18T15:06:00+08:00
X-SIGNATURE: 85be817c55b2c135157c7e89f52499bf0c25ad6eeebe04a986e8c862561b19a5
X-PARTNER-ID: 20001
{
"accountNo": "21820030202403071031",
"balanceTypes": [
"BALANCE"
]
}
Responses
HTTP Request
| Field | Required | Type | Description |
|---|---|---|---|
Content-Type | M | String | application/json request body. |
X-TIMESTAMP | M | String | Format: yyyy-MM-ddTHH:mm:ss±HH:mm |
Body Parameters
| Field | Required | Type | Description |
|---|---|---|---|
code | M | String | 00 success, other values error. |
message | M | String | UTF-8 human-readable result line. |
accountInfos | M | Object | balanceType, amount, availableBalance. |
balanceType | M | String | e.g. BALANCE. |
amount | M | Object | Money object. ทศนิยม: Money |
currency | M | String | Fixed to PHP. |
value | M | String | Monetary amount (string). |
availableBalance | M | Object | Monetary amount |
currency | M | String | Fixed to PHP. |
value | M | String | Monetary amount (string). |
accountNo | M | String | ค่า accountNo จากคำขอ (echo). |
name | O | String | ชื่อแสดงบัญชี (ถ้ามี). |
balanceTypes | O | Array | Echo of requested types. |
Example Body – Balance Inquiry Response:
Content-type: application/json
X-TIMESTAMP: 2020-12-17T10:55:00+08:00
{
"code": "00",
"message": "Successful",
"accountInfos": {
"balanceType": "BALANCE",
"amount": {
"currency": "PHP",
"value": "2500"
},
"availableBalance": {
"currency": "PHP",
"value": "2500"
}
},
"accountNo": "21820030202403071031",
"name": "Sandbox Test",
"balanceTypes": [
"BALANCE"
]
}

